MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025335Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-08 08:592014-11-11 13:01
Reporterkgv 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025335: Visualization - method ::SelectedShape() in AIS_LocalContext and AIS_InteractiveContext overrides shape transformation
DescriptionAfter patch for 0024837 (revise design and implementation of connected Interactive Objects) method AIS_LocalContext::SelectedShape() and AIS_InteractiveContext::SelectedShape() overwrites existing location of the shape:
-  return BRO->Shape();
+  return BRO->Shape().Located (BRO->Location());

It seems that transformations should be composed instead.
TagsNo tags attached.
Test case numberbugs vis(004) bug25335
Attached Files

- Relationships
related to 0025284closedbugmaster Problems with standard MFC samples 
child of 0024837closedbugmaster Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0032810)
git (administrator)
2014-10-08 13:02

Branch CR25335 has been created by duv.

SHA-1: b77eaa5180d2354b69992ff446df841501cd9b4c


Detailed log of new commits:

Author: duv
Date: Wed Oct 8 13:01:51 2014 +0400

    0025335: Visualization - method ::SelectedShape() in AIS_LocalContext and AIS_InteractiveContext overrides shape transformation
    
    Shape location overriding fixed by combining AIS object transformation and shape location.
    Also incorrect highlight presentation (and sensitive) placement was possible.
(0032811)
duv (developer)
2014-10-08 13:08

Dear kgv,

Please review the patch.
(0032812)
git (administrator)
2014-10-08 13:12

Branch CR25335 has been updated forcibly by duv.

SHA-1: 8b912306ede30c6352b78863709a0ce9dd69719d
(0032813)
kgv (developer)
2014-10-08 13:22

Please test the patch.
(0032883)
apv (tester)
2014-10-09 13:38

Dear BugMaster,

Branch CR25335 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 8b912306ede30c6352b78863709a0ce9dd69719d

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs vis(004) bug25335 - OK
http://occt-tests/CR25335-master-occt/Debian60-64/bugs/vis/bug25335.html [^]
http://occt-tests/CR25335-master-occt/Windows-32-VC10/bugs/vis/bug25335.html [^]

Testing on Linux:
Total MEMORY difference: 397689348 / 398004436
Total CPU difference: 46749.330000000155 / 47309.68000000025

Testing on Windows:
Total MEMORY difference: 279021928 / 278287368
Total CPU difference: 34604.3125 / 32988.859375
(0033425)
git (administrator)
2014-10-21 16:42

Branch CR25335 has been deleted by inv.

SHA-1: 8b912306ede30c6352b78863709a0ce9dd69719d

- Related Changesets
occt: master d8110103
Timestamp: 2014-10-08 09:01:51
Author: duv
Committer: bugmaster
Details ] Diff ]
0025335: Visualization - method ::SelectedShape() in AIS_LocalContext and AIS_InteractiveContext overrides shape transformation

Shape location overriding fixed by combining AIS object transformation and shape location.
Also incorrect highlight presentation (and sensitive) placement was possible.
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/bugs/vis/bug25335 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-08 08:59 kgv New Issue
2014-10-08 08:59 kgv Assigned To => kgv
2014-10-08 08:59 kgv Relationship added related to 0024837
2014-10-08 08:59 kgv Relationship replaced child of 0024837
2014-10-08 08:59 kgv Relationship added related to 0025284
2014-10-08 09:00 kgv Assigned To kgv => duv
2014-10-08 09:00 kgv Priority normal => high
2014-10-08 09:00 kgv Status new => assigned
2014-10-08 13:02 git Note Added: 0032810
2014-10-08 13:08 duv Note Added: 0032811
2014-10-08 13:08 duv Assigned To duv => kgv
2014-10-08 13:08 duv Status assigned => resolved
2014-10-08 13:12 git Note Added: 0032812
2014-10-08 13:22 kgv Note Added: 0032813
2014-10-08 13:22 kgv Assigned To kgv => bugmaster
2014-10-08 13:22 kgv Status resolved => reviewed
2014-10-08 16:17 apv Assigned To bugmaster => apv
2014-10-09 13:38 apv Note Added: 0032883
2014-10-09 13:38 apv Assigned To apv => bugmaster
2014-10-09 13:38 apv Status reviewed => tested
2014-10-09 13:39 apv Test case number => bugs vis(004) bug25335
2014-10-13 17:52 bugmaster Changeset attached => occt master d8110103
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:42 git Note Added: 0033425
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker